import { Local, Session } from '/@/utils/storage';
/**
 * 系统设置
 */
const config = {
    /**
     * 版本号
     */
    version: "V23.02.09.1.Test",
    /**
     * 请求接口域名
     */
    file: "http://ssl.ycxxkj.com:38071",
    host: "http://ssl.ycxxkj.com:38071/index.php",
    /**
     * 接口签名密钥
     */
    apiSignKey: "32a1ff74699ff2d6ce4c497cb94cb5c8",
}
let env = import.meta.env;
console.log("==env.Mode:==", env.MODE);
if (env.MODE == "development") {
    // config.file = "http://192.168.0.83:6969";
    // config.host = "http://192.168.0.83:6969/index.php";
    // config.file = "http://ssl.ycxxkj.com:38071";
	// config.host = "http://ssl.ycxxkj.com:38071/index.php";
    config.file = "http://192.168.0.126:6969";
	config.host = "http://192.168.0.126:6969/index.php";
    // config.file = "http://192.168.0.173:6969";
	// config.host = "http://192.168.0.173:6969/index.php";
	// config.domain = "http://192.168.0.173:6969";
}
if (env.MODE == "release") {
    //本地
    config.file = "http://192.168.0.83:5252";
    config.host = "http://192.168.0.83:5252/index.php";
    //公网
    // config.file = "http://nxlz.ycxxkj.com:38071";
    // config.host = "http://nxlz.ycxxkj.com:38071/index.php";
}
if (env.MODE == "test") {
    //本地
    // config.file = "http://192.168.0.83:6969";
    // config.host = "http://192.168.0.83:6969/index.php";
    //公网
    config.file = "http://ssl.ycxxkj.com:38071";
    config.host = "http://ssl.ycxxkj.com:38071/index.php";
}
if (env.MODE == "customer") {
    //公网
    config.file = "http://ssl.ycxxkj.com:38071";
    config.host = "http://ssl.ycxxkj.com:38071/index.php";
}

// 如果需要自动获取接口地址
// console.log('href',window.location.href);
// console.log('host',window.location.host);
// config.file = Local.get('file') ? Local.get('file') : 'http://'+window.location.host;
// config.host = Local.get('host') ? Local.get('host') : config.file+'/index.php';

console.log("==config:==", config);
export default config;
