import Http from "../../utils/net/Http";
import Urls from "../Urls";
const Role = {
    async init() {
        let url = Urls.role.init;
        let param: object = {};
        let res = await Http.post(url, param);
        return res;
    },
    async list(param: object) {
        let url = Urls.role.list;
        let res = await Http.post(url, param);
        return res;
    },
    async add(param: object) {
        let url = Urls.role.add;
        let res = await Http.post(url, param);
        return res;
    },
    async edit(param: object) {
        let url = Urls.role.edit;
        let res = await Http.post(url, param);
        return res;
    },
    async del(ids: number | string | object) {
        let url = Urls.role.del;
        let param: object = { ids };
        let res = await Http.post(url, param);
        return res;
    },
    async detail(id: number | string | object) {
        let url = Urls.role.detail;
        let param: object = { id };
        let res = await Http.post(url, param);
        return res;
    },
};
export default Role;
